#
# spec file for package rubygem-kaminari-0
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-kaminari-0
Version:        0.17.0
Release:        4.6
%define mod_name kaminari
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/amatsuda/kaminari
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A pagination engine plugin for Rails 3+ and other modern frameworks
License:        MIT
Group:          Development/Languages/Ruby

%description
Kaminari is a Scope & Engine based, clean, powerful, agnostic, customizable
and sophisticated paginator for Rails 3+.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.rdoc MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Tue May 31 2016 coolo@suse.com
- updated to version 0.17.0
  see installed CHANGELOG.rdoc
  == 0.17.0
  * Rails 5 ready!
  * Mongoid 5.0 support
  * Dropped Ruby 1.8 support
  * Dropped Mongoid 2.x support
  * Extracted Sinatra support to kaminari-sinatra gem
  * Extracted DataMapper support to kaminari-data_mapper gem
  * Extracted Mongoid support to kaminari-mongoid gem
  * Extracted MongoMapper support to kaminari-mongo_mapper gem
  * Deprecated Kaminari::PageScopeMethods#num_pages in favor of `total_pages`
  * Deprecated :num_pages option for `paginate` in favor of :total_pages
  * Fixed mangled params in pagination links on Rails 5 #766 [audionerd]
  * Fixed a bug where the range of the records displayed on the last page
  doesn't match #718 [danzanzini]
* Wed Feb 11 2015 coolo@suse.com
- updated to version 0.16.3
  * Fixed a "stack level too deep" bug in mongoid #642 [bartes]
  * Fixed a bug that Kaminari possibly crashes when combined with other gems
  that define `inherited` method on model classes, such as aasm. #651 [zeitnot]
* Mon Feb  9 2015 coolo@suse.com
- updated to version 0.16.2
  * Fixed a bug where cloned Relations remember previous relations'
  @total_count value #565 [inkstak]
  * Fixed a bug where `paginate_array()` with total_count option returns whole
  array for every page #516 [abhichvn]
  * Fixed a bug where :num_pages option was backwards-incompatible #605
  [klebershimabuku]
  * Fixed a bug where themed views generator attempts to overwrite README.md
  [#623] [swrobel]
  * Fixed a bug that ruby raises a NameError when theme was not found #622
  [maxprokopiev]
  * Fixed a bug that paginates_per does not work with subclasses on mongoid #634
  [kouyaf77]
  * Show an error message if a proper template was not found for the generator
  theme #600 [meltedice]
* Wed Oct 15 2014 coolo@suse.com
- updated to version 0.16.1
  * Fix a bug where :theme option for #paginate method doesn't work properly
  [#566] [commstratdev]
  == 0.16.0
  * Add support for mongoid max_scan option #500 [aptx4869]
  * Add `link_to_previous_page` helper for Sinatra #504 [ikeay]
  * Add :views_prefix option to #paginate for alternative views directory #552
  [apotonick]
  * Simplify `page_entries_info` by adding entry_name interface to each ORM
  * Refer ActiveRecord::Base from top level namespace for more safety when
  inherited class's namespace has 'ActiveRecord' constant #522 [yuroyoro]
  * Fix a bug where runtime persistence not taken into account with
  mongoid/kaminari #326 [nubeod]
  * Fix a bug where helper methods were not available from inside
  `paginator.render do ... end` block #239 [damien-roche]
  * Fix a bug where theme generator didn't work on Rails 4.1 #526 [jimryan]
  * Fix a bug that paginatable arrays with `total_count` option always returns
  whole array #516 [abhichvn]
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Jan 20 2014 coolo@suse.com
- updated to version 0.15.1
  * page_method_name option was not working in 0.15.0 #481 [mauriciopasquier]
  * Use the mongoid criteria #length method to cache the count of the collection
  per criteria #484 [camallen]
  * Don't inherit host, port, and protocol from the given params
* Sat Nov 23 2013 coolo@suse.com
- updated to version 0.15.0
  * Allow count, total count to pass parameters to super #193 [bsimpson]
  * Add `max_pages` and `max_pages_per` methods to limit displayed pages per
  model or globally #301 [zpieslak]
  * Add support for Sinatra views overrides (add app views paths) #332 [j15e]
  * Fix wrong pagination when used with `padding` #359 [vladimir-vg, negipo]
  * check for Hash in addition to OrderedHash, which seems to break in Rails 4,
  for total_count #369 [aew]
  * Make `to_s` in paginator threadsafe #374 [bf4]
  * Fix Missing partial Error when 'paginate' called from different format
  template #381 [joker1007]
  * Add `PageScopeMethods#next_page`, `prev_page`, and `out_of_range?` [yuki24]
  * Use html_safe in view partials instead of raw fixed #73 [zzak]
  * Fix a bug that `PaginatableArray#total_pages` returns the wrong value #416 [yuki24]
  * Make `num_pages` to return the same value as `total_pages` for backward compat [yuki24, eitoball]
  * Change #page_entries_info to use model name #340, #348 [znz, eitoball]
  * Change scope to class method #433 [kolodovskyy]
  * Fix arity problem with Rails 4.1.0 #449 [bricker]
* Mon Oct  1 2012 coolo@suse.com
- updated to version 0.14.1
  * Changed the default "truncation" String from  "..." to &hellip; #264 [pjaspers]
  * The theme generator is Github API v3 compatible now! #279 [eitoball]
  * Made Kaminari.config.default_per_page changeable again #280 [yuki24]
* Mon Sep  3 2012 coolo@suse.com
- updated to version 0.14.0
  * Grape framework support! #218 [mrplum]
  * Mongoid 3 ready! #238 [shingara]
  * Added link_to_previous_page helper #191 [timgremore]
  * Added helper to generate rel="next" and rel="prev" link tags for SEO #200
  [joe1chen]
  * Added `max_per_page` configuration option #274 [keiko0713]
    This would be useful for the case when you are using user input `per_page`
    value but want to impose the upper bound.
  * Added I18n to page_entries_info #207 [plribeiro3000]
  * Changed method name "num_pages" to "total_pages"
    num_pages" is still available as an alias of "total_pages", but will be
    deprecated or removed in some future version.
  * Changed the way page_entries_info behave so it can show appropriate names
  for models with namespace #207 [plribeiro3000]
  * Added html_safe to page_entries_info helper #190 [lucapette]
  * Fixed displayed number of items on each page w/ Mongoid 2.4.x and
  MongoMapper #194 [dblock]
  * Removed a unused local variable from templates from default tamplate #245 [juno]
  * Fixed page_entry_info to use the value of `entry_name` option when given
  collection is empty or a PaginatableArray #265, #277 [eitoball]
  * Added require 'dm-aggregates' in DataMapper hook #259 [shingara]
* Sun Aug  5 2012 jweberhofer@weberhofer.at
- Re-generated spec file
* Thu Mar  8 2012 fcastelli@suse.com
- update to 0.13.0
* Thu Feb 17 2011 mrueckert@suse.de
- initial package
